# Interface ClientAuthModule

All Superinterfaces:
  `ClientAuth`

public interface ClientAuthModule extends ClientAuth

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Class[]`
  `getSupportedMessageTypes()`
  `void`
  `initialize(MessagePolicy requestPolicy, MessagePolicy responsePolicy, CallbackHandler handler, Map options)`

  ### Methods inherited from interface javax.security.auth.message.ClientAuth

  `cleanSubject, secureRequest, validateResponse`

- ## Method Details

  - ### initialize

    void initialize(MessagePolicy requestPolicy, MessagePolicy responsePolicy, CallbackHandler handler, Map options) throws AuthException
    Throws:
      `AuthException`

  - ### getSupportedMessageTypes

    Class[] getSupportedMessageTypes()